searchData={"items":[{"type":"module","title":"EasyHTML","doc":"EasyHTML makes working with HTML easy.","ref":"EasyHTML.html"},{"type":"module","title":"Examples - EasyHTML","doc":"EasyHTML.from_fragment(\" Hello,  world ! \")\n    #=> ~HTML[ Hello,  world  ! ]\n\n    doc[\"em\"]\n    #=> ~HTML[ world ]\n\n    import EasyHTML, only: :sigils\n    doc = ~HTML[  foo  bar  ]\n    Enum.to_list(doc[\"li\"])\n    #=> [~HTML[ foo ], ~HTML[ bar ]]","ref":"EasyHTML.html#module-examples"},{"type":"function","title":"EasyHTML.from_document/1","doc":"Parses an HTML document.","ref":"EasyHTML.html#from_document/1"},{"type":"function","title":"Examples - EasyHTML.from_document/1","doc":"iex> EasyHTML.from_document(\" Hello,  World ! \") |> EasyHTML.to_html()\n    \"     Hello,  World !   \"","ref":"EasyHTML.html#from_document/1-examples"},{"type":"function","title":"EasyHTML.from_fragment/1","doc":"Parses a segment of an HTML document.","ref":"EasyHTML.html#from_fragment/1"},{"type":"function","title":"Examples - EasyHTML.from_fragment/1","doc":"iex> EasyHTML.from_fragment(\" Hello,  World ! \") |> inspect()\n    \"~HTML[ Hello,  World  ! ]\"","ref":"EasyHTML.html#from_fragment/1-examples"},{"type":"function","title":"EasyHTML.parse!/1","doc":"","ref":"EasyHTML.html#parse!/1"},{"type":"macro","title":"EasyHTML.sigil_HTML/2","doc":"Handles the `~HTML` sigil to create an EasyHTML struct.","ref":"EasyHTML.html#sigil_HTML/2"},{"type":"macro","title":"Examples - EasyHTML.sigil_HTML/2","doc":"~HTML[ Hello,  World ! ]","ref":"EasyHTML.html#sigil_HTML/2-examples"},{"type":"function","title":"EasyHTML.text/1","doc":"Extracts text.","ref":"EasyHTML.html#text/1"},{"type":"function","title":"Examples - EasyHTML.text/1","doc":"iex> EasyHTML.text(~HTML[ Hello,  World ! ])\n    \"Hello, World!\"","ref":"EasyHTML.html#text/1-examples"},{"type":"function","title":"EasyHTML.to_html/2","doc":"Returns HTML string for the given EasyHTML struct.\n\n  * `:skip_whitespace_nodes` - when `true`, ignores text nodes that\n    consist entirely of whitespace, usually whitespace between tags.\n    Defaults to `true`.","ref":"EasyHTML.html#to_html/2"},{"type":"function","title":"Examples - EasyHTML.to_html/2","doc":"iex> EasyHTML.to_html(~HTML[ Hello,  World ! ])\n    \" Hello,  World ! \"","ref":"EasyHTML.html#to_html/2-examples"},{"type":"function","title":"EasyHTML.to_string/1","doc":"","ref":"EasyHTML.html#to_string/1"},{"type":"function","title":"EasyHTML.to_tree/2","doc":"Builds an Elixir tree data structure representing HTML data.","ref":"EasyHTML.html#to_tree/2"},{"type":"function","title":"Options - EasyHTML.to_tree/2","doc":"* `:sort_attributes` - when `true`, attributes lists are sorted\n    alphabetically by name. Defaults to `false`.\n\n  * `:skip_whitespace_nodes` - when `true`, ignores text nodes that\n    consist entirely of whitespace, usually whitespace between tags.\n    Defaults to `true`.","ref":"EasyHTML.html#to_tree/2-options"},{"type":"function","title":"Examples - EasyHTML.to_tree/2","doc":"iex> EasyHTML.to_tree(~HTML[ Hello,  World ! ])\n    [{\"p\", [], [\"Hello, \", {\"em\", [], [\"World\"]}, \"!\"]}]","ref":"EasyHTML.html#to_tree/2-examples"},{"type":"extras","title":"EasyHTML","doc":"# EasyHTML\n\n[![Version](https://img.shields.io/hexpm/v/easyhtml.svg)](https://hex.pm/packages/easyhtml)\n[![CI](https://github.com/wojtekmach/easyhtml/actions/workflows/ci.yml/badge.svg)](https://github.com/wojtekmach/easyhtml/actions/workflows/ci.yml)\n\nEasyHTML makes working with HTML easy.\n\nEasyHTML uses [LazyHTML](https://hex.pm/packages/lazy_html).","ref":"readme.html"},{"type":"extras","title":"Usage - EasyHTML","doc":"```elixir\nMix.install([\n  {:easyhtml, \"~> 0.4.0\"}\n])\n\ndoc = EasyHTML.from_fragment(\" Hello,  world ! \")\n#=> ~HTML[ Hello,  world ! ]\n\ndoc[\"em\"]\n#=> ~HTML[ world ]\n\nimport EasyHTML, only: :sigils\ndoc = ~HTML[  foo  bar  ]\nEnum.to_list(doc[\"li\"])\n#=> [~HTML[ foo ], ~HTML[ bar ]]\n```","ref":"readme.html#usage"},{"type":"extras","title":"License - EasyHTML","doc":"Copyright (c) 2022 Wojtek Mach\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at [http://www.apache.org/licenses/LICENSE-2.0](http://www.apache.org/licenses/LICENSE-2.0)\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.","ref":"readme.html#license"},{"type":"extras","title":"CHANGELOG","doc":"# CHANGELOG","ref":"changelog.html"},{"type":"extras","title":"v0.4.0 (2025-06-26) - CHANGELOG","doc":"* Use LazyHTML.\n\n  * Add `EasyHTML.from_document/1` and `EasyHTML.from_fragment/1`.\n\n  * Deprecate `EasyHTML.parse!/1`.\n\n  * Deprecate `EasyHTML.to_string/1`.\n\n  * Deprecate `String.Chars` implementation for `EasyHTML`.\n\n  * Remove ability to match e.g.: `~HTML[ ... ] = ...`","ref":"changelog.html#v0-4-0-2025-06-26"},{"type":"extras","title":"v0.3.1 (2023-12-11) - CHANGELOG","doc":"* Make comparisons work for nested tags","ref":"changelog.html#v0-3-1-2023-12-11"},{"type":"extras","title":"v0.3.0 (2023-06-01) - CHANGELOG","doc":"* Add `~HTML` sigil","ref":"changelog.html#v0-3-0-2023-06-01"},{"type":"extras","title":"v0.2.0 (2023-05-19) - CHANGELOG","doc":"* `doc[selector]` now returns `nil` if no nodes were found.","ref":"changelog.html#v0-2-0-2023-05-19"},{"type":"extras","title":"v0.1.1 (2022-12-22) - CHANGELOG","doc":"* Relax Floki dependency.","ref":"changelog.html#v0-1-1-2022-12-22"},{"type":"extras","title":"v0.1.0 (2022-08-24) - CHANGELOG","doc":"* Initial release.","ref":"changelog.html#v0-1-0-2022-08-24"}],"content_type":"text/markdown"}